Data Role Search (deprecated)

POST Search public Access Roles

POST /role_search

Operation ID: Search public Access Roles. Tags: role_search. Security: oauth2_application.

Searches for access roles.

The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:

  • id - String

  • description - String

Optionally, a user ID (the user login) can be specified. When it is supplied, the search for roles is limited to the roles assigned to this user. When expanding the permissions for the roles, all effective permissions for this user can be retrieved.

Optionally, a (single) permission can be specified. When it is supplied, the search for roles is limited to the roles having this permission. When expanding the users for the roles, all users having this permission can be retrieved.

The output of the query can also be sorted. These are the list of sortable attributes:

  • id - String

  • description - String

This endpoint may return the following faults:

  • 400 - InvalidSearchQueryException - Throws when one of the search request restrictions is violated
  • 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.

Request body (required)

Media type: application/json, text/xml. Schema: role_search_request.

Responses

  • 400 InvalidSearchQueryException - Throws when one of the search request restrictions is violated or MalformedSearchParameterException - Thrown if the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: role_search_result.